Loading...
Searching...
No Matches
AddSplitFactorChecks.h File Reference

Defines the lowering pass that adds the assertions that all split factors are strictly positive. More...

`#include <map>`
`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::add_split_factor_checks (const Stmt &s, const std::map< std::string, Function > &env)
| Insert checks that all split factors that depend on scalar parameters are strictly positive.

## Detailed Description

Defines the lowering pass that adds the assertions that all split factors are strictly positive.

Definition in file AddSplitFactorChecks.h.